import { Component, h, Prop, State } from '@stencil/core';
import mammoth from 'mammoth';
export class AkordDocsViewer {
  constructor() {
    this.isLoading = true;
  }
  componentWillLoad() {
    mammoth.convertToHtml({ path: this.src })
      .then((result) => {
      this.content = result.value;
      this.isLoading = false;
    });
  }
  render() {
    return (h("div", null, "sadf"));
  }
  static get is() { return "akord-docs-viewer"; }
  static get originalStyleUrls() { return {
    "$": ["akord-docs-viewer.css"]
  }; }
  static get styleUrls() { return {
    "$": ["akord-docs-viewer.css"]
  }; }
  static get properties() { return {
    "src": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "src",
      "reflect": false
    }
  }; }
  static get states() { return {
    "content": {},
    "isLoading": {}
  }; }
}
